<html>
    <head>
        <link rel="stylesheet" href="inform.css">
    </head>
    <body>
        
            <h2>Данные пользователя</h2>
                <div class="form-group">
                    <label for="name">Имя:</label>
                    <input type="text" id="name" placeholder="Введите имя...">
                    <br>
                    <br>
                    <label for="lastName">Фамилия:</label>
                    <input type="text" id="lastName" placeholder="Введите фамилию...">
                    <br>
                    <br>
                    <label for="number">Возраст:</label>
                    <input type="number" id="age" placeholder="Введиет возраст...">
                    <br>
                    <br>
                    <label for="email">Email:</label>
                    <input type="email" id="email" placeholder="Введите email...">
                    <br>
                    <br>
                    <label for="password">Пароль:</label>
                    <input type="password" id="password" placeholder="Введите пароль...">
                    <br>
                    <br>
                </div>
            <button class="btn" id="btnGet">Получить данные</button>
        
        <script>
            

            function logData(data1,data2){
                console.log(data1);
                console.log('---------------');
                console.log(data2);
            }
            
            /*function dvide(arg1, arg2){
                alert(arg1/arg2);
            }
*/
            /*в этой строке из документа получаем элемент/кнопка у которого id 'btnGet' и привязываемся к событию нажатия 
            onClick, создавая функцию и в итоге введеные данные сохраняем в переменной person*/
            document.getElementById('btnGet').onclick = function () {
                
               /*var a = 9;
                var b = 3;
                dvide(b,a);
                */
                var person = {
                    //из документа ищем элемент/поле у которого id 'name' и присваеваем его значение(value)
                    name: document.getElementById('name').value,
                    lastName: document.getElementById('lastName').value,
                    age: document.getElementById('age').value,
                    email: document.getElementById('email').value,
                    password: document.getElementById('password').value
                };
              

              /*var laika = {
                name:'laika',
                lastName:'sobachkin',
                age:5,
                email:'laika@mail.ru',
                password:'poshel'
              };*/
              logData(person);
            }

        

        </script>
        

    </body>
</html>